Subject: bug#6718: 23.2; Should align glyphs according to grid in ansi-term

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Nov 2020 16:44:04 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Thu, 19 Nov 2020 08:48:13 +0000
> Cc: Jonathan Kleinehellefort <[email-masked]>, [email-masked]
> 
> >> Expected result:
> >>
> >> Glyphs should be aligned in a grid.
> >>
> >> Using a more comprehensive font (e.g. DejaVu Sans Mono) does not solve
> >> this completely, as you can still get the same problem with e.g. Chinese
> >> characters.
> >
> > Is there really anything that can be done about this, besides a complete
> > redesign of how fonts work in Emacs?
> 
> Is there any overlap here with https://debbugs.gnu.org/44664?

Yes, it's the same issue.

I think a good way forward is for someone to investigate which fonts
are typically used in xterm for CJK and other "unusual" scripts,
including characters reported in bug#44664, then we could perhaps see
how to improve the situation in Emacs in this respect.  I don't see
any easy ways to "fix" this except by clever font configuration, and
I'd be interested to know whether xterm does anything beyond using
fonts that are known to DTRT.